<br>
<div class="container bg-secondary">
  <h4 class="text-light text-center">Listado de Requisiciones</h4>
  <div class="table-responsive">
    <button class="btn btn-success text-light m-1" (click)="onGoToNew()">Agregar nueva requisicion</button>
    <table class="table table-primary">
      <thead>
        <tr>
          <th scope="col">Obra</th>
          <th scope="col">Estatus</th>
          <th scope="col">Requisitador</th>
          <th scope="col">Fecha</th>
          <th scope="col">Acciones</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of requisiciones$ | async">
          <td>{{item.obra_id}}</td>
          <td>{{item.estatus}}</td>
          <td>Ing. {{item.requisitador_id}}</td>
          <td>{{item.fecha}}</td>
          <td>
            <button type="button" class="btn btn-warning m-1" (click)="onGoToEdit(item)"><b>Editar</b></button>
            <button type="button" class="btn btn-danger m-1" (click)="onGoToDelete(item.id)"><b>Eliminar</b></button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
